Security Information

The site uses VeriSign Global Certificates, which enable 1024-bit encryption with all versions of the required browsers and requires your social security number and PIN. To prevent unauthorized access to your account, use a password-protected screen saver and log off when finished.

This site requires a version 8.2 of Adobe or higher to work, currently Adobe 9.0 is the most recent version. For security purposes, we strongly recommend you use a version of Adobe 8.2 or higher which you can download from